{
  "schema_version": "1.4.0",
  "id": "GHSA-g9rv-5pxc-p5wm",
  "modified": "2025-04-03T04:32:48Z",
  "published": "2022-05-01T06:59:35Z",
  "aliases": [
    "CVE-2006-2489"
  ],
  "details": "Integer overflow in CGI scripts in Nagios 1.x before 1.4.1 and 2.x before 2.3.1 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a content length (Content-Length) HTTP header.  NOTE: this is a different vulnerability than CVE-2006-2162.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-2489"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/26454"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/287-1"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20123"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20247"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20313"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2006/dsa-1072"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200605-07.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.nagios.org/development/changelog.php"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/18059"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/1822"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-05-19T23:02:00Z"
  }
}